Аутентификация
API кілтін bearer токені ретінде жіберіңіз. Бұл соңғы нүкте сипаттамада арнайы рұқсатты көрсетпейді, сондықтан болжағаннан гөрі кілтіңізге қажетті ең аз рұқсатты беріп, жауапты тексеріңіз.
Бұл соңғы нүкте ұйым идентификаторын қабылдамайды. Сіздің кілтіңіз оның қай ұйымға тиесілі екенін өзі анықтайды және жауап соған шектеледі.
Әрекет етіп көру
Бұрыштық жақшалардағы кез келген нәрсені өз мәндеріңізбен, ал кілт орналастырушысын басқару тақтасынан алынған кілтпен алмастырыңыз.
curl -X POST https://api.zinndigital.com/v1/site-groups \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "name": <string> }'Жүйеге кіргенсіз бе? Бақылау тақтасындағы API консолі ұйымыңыздың нақты идентификаторы мен жеке кілтіңізді автоматты түрде толтырады да, нақты жауапты көре алуыңыз үшін сұрауды тікелей жұмыс істеп тұрған API арқылы орындайды. Бұл соңғы нүктені API консолінде ашыңыз
Мәліметтер
Gated on `sites.groups.manage` in addition to `sites.view`. Refused with 422 when the organisation's plan does not sell `site_groups`, when the name is blank or already taken (case-insensitively, per organisation), or when the organisation already holds the maximum number of groups.
Сұрау денесі
| Аты | Tүрі | Міндетті | Мазмұны |
|---|---|---|---|
name | string | Иә | — |
colour | string<slate, blue, green, amber, red, purple, teal, pink> | Жоқ | — |
notes | string | Жоқ | — |
Жауап
| Аты | Tүрі | Міндетті | Мазмұны |
|---|---|---|---|
id | string | Иә | — |
name | string | Иә | Unique per organisation, case-insensitively. Two groups called `Casino` and `CASINO` are a support ticket rather than a feature — nobody can tell them apart in a filter and half… |
colour | string<slate, blue, green, amber, red, purple, teal, pink> | Иә | A chip colour from a closed set, never a free hex value. The dashboard draws these through the design system's contrast-checked tone tokens; a customer-supplied colour would ren… |
notes | string | Иә | The operator's own note. Never published, never shown to anyone else. |
site_count | integer | Иә | — |
created_at | string | Иә | — |
updated_at | string | Иә | — |
Бұл соңғы нүкте қайтара алатын қателер
401 · 403 · 422